DROP TABLE CRST_PER_ALL_POSITIONS;

CREATE TABLE CRST_PER_ALL_POSITIONS
(
  POSITION_ID                NUMBER(15)         NOT NULL,
  BUSINESS_GROUP_ID          NUMBER(15)         NOT NULL,
  JOB_ID                     NUMBER(15)         NOT NULL,
  ORGANIZATION_ID            NUMBER(15)         NOT NULL,
  SUCCESSOR_POSITION_ID      NUMBER(15),
  RELIEF_POSITION_ID         NUMBER(15),
  LOCATION_ID                NUMBER(15),
  POSITION_DEFINITION_ID     NUMBER(15)         NOT NULL,
  DATE_EFFECTIVE             DATE               NOT NULL,
  COMMENTS                   LONG,
  DATE_END                   DATE,
  FREQUENCY                  VARCHAR2(30 BYTE),
  NAME                       VARCHAR2(240 BYTE),
  PROBATION_PERIOD           NUMBER(22,2),
  PROBATION_PERIOD_UNITS     VARCHAR2(30 BYTE),
  REPLACEMENT_REQUIRED_FLAG  VARCHAR2(30 BYTE),
  TIME_NORMAL_FINISH         VARCHAR2(5 BYTE),
  TIME_NORMAL_START          VARCHAR2(5 BYTE),
  WORKING_HOURS              NUMBER(22,3),
  REQUEST_ID                 NUMBER(15),
  PROGRAM_APPLICATION_ID     NUMBER(15),
  PROGRAM_ID                 NUMBER(15),
  PROGRAM_UPDATE_DATE        DATE,
  ATTRIBUTE_CATEGORY         VARCHAR2(30 BYTE),
  ATTRIBUTE1                 VARCHAR2(150 BYTE),
  ATTRIBUTE2                 VARCHAR2(150 BYTE),
  ATTRIBUTE3                 VARCHAR2(150 BYTE),
  ATTRIBUTE4                 VARCHAR2(150 BYTE),
  ATTRIBUTE5                 VARCHAR2(150 BYTE),
  ATTRIBUTE6                 VARCHAR2(150 BYTE),
  ATTRIBUTE7                 VARCHAR2(150 BYTE),
  ATTRIBUTE8                 VARCHAR2(150 BYTE),
  ATTRIBUTE9                 VARCHAR2(150 BYTE),
  ATTRIBUTE10                VARCHAR2(150 BYTE),
  ATTRIBUTE11                VARCHAR2(150 BYTE),
  ATTRIBUTE12                VARCHAR2(150 BYTE),
  ATTRIBUTE13                VARCHAR2(150 BYTE),
  ATTRIBUTE14                VARCHAR2(150 BYTE),
  ATTRIBUTE15                VARCHAR2(150 BYTE),
  ATTRIBUTE16                VARCHAR2(150 BYTE),
  ATTRIBUTE17                VARCHAR2(150 BYTE),
  ATTRIBUTE18                VARCHAR2(150 BYTE),
  ATTRIBUTE19                VARCHAR2(150 BYTE),
  ATTRIBUTE20                VARCHAR2(150 BYTE),
  STATUS                     VARCHAR2(30 BYTE),
  OBJECT_VERSION_NUMBER      NUMBER(9),
  LAST_UPDATE_DATE           DATE,
  LAST_UPDATED_BY            NUMBER(15),
  LAST_UPDATE_LOGIN          NUMBER(15),
  CREATED_BY                 NUMBER(15),
  CREATION_DATE              DATE,
  POSITION_ID_N              NUMBER(15)
);
